Skip to main content
This endpoint retrieves the allocation schedules for a specific allocation ID, including release, unlock, and vesting schedules. The results are paginated, and a cursor can be used to fetch subsequent pages. Example request:
curl -X POST https://app.magna.so/api/external/v1/allocations/{your_allocation_id}/schedule \
-H 'Content-Type: application/json' \
-H 'x-magna-api-token: magna_project_api_token' \
-d '{
"cursor": "2024-10-11T20:14:52.000Z",
"limit": 100,
"types": ["vested", "unlocked"]
}'
  • magna_project_api_token (required) - replace with your actual Magna API token
  • your_allocation_id (required) - replace with your allocation id which you want to claim tokens
  • cursor (string, optional) - An ISO 8601 formatted timestamp to fetch results after this date.
  • limit (number, optional) - The maximum number of items to return. Defaults to 100, with a maximum limit of 100.
  • types (string array, optional) - The allocation schedule types to return. Must be any combination of vested, unlocked, and/or releasable. Defaults to all three.
Example Response:
{
  "isProcessed": true,
  "result": {
    "items": [
      {
        "timestamp": "2024-01-01T00:00Z",
        "releasable": 4500,
        "unlocked": 4500
      },
      {
        "timestamp": "2024-01-02T00:00Z",
        "releasable": 200
      }
      {
        "timestamp": "2024-01-03T00:00Z",
        "vested": 500
      }
    ],
    "total": 18,
    "cursor": "2024-10-11T20:14:52.000Z"       // only if there is more to paginate
}

Notes
  • The cursor in the response can be used in the next request to fetch the subsequent set of results.
  • The items array contains events with their respective timestamps, amounts, and types (unlocked, releasable, vested).